> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Preferences



## OpenAPI

````yaml /openapi.json patch /v1/users/me/preferences
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/users/me/preferences:
    patch:
      tags:
        - User Preferences
      summary: Update User Preferences
      operationId: UserPreferencesController_update_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserPreferencesDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPreferencesResponseDto'
components:
  schemas:
    UpdateUserPreferencesDto:
      type: object
      properties:
        projectList:
          type: object
          properties:
            view:
              type: string
              enum:
                - list
                - grid
            columns:
              type: array
              items:
                type: string
                enum:
                  - code
                  - name
                  - projectLead
                  - sector
                  - workType
                  - lifecycleStatus
                  - plannedStartDate
                  - targetEndDate
                  - members
                  - status
                  - region
                  - specDisciplines
                  - tags
                  - lastOpened
                  - createdAt
            cardFields:
              type: array
              items:
                type: string
                enum:
                  - code
                  - name
                  - projectLead
                  - sector
                  - workType
                  - lifecycleStatus
                  - plannedStartDate
                  - targetEndDate
                  - members
                  - status
                  - region
                  - specDisciplines
                  - tags
                  - lastOpened
                  - createdAt
          additionalProperties: false
        locale:
          anyOf:
            - type: string
              enum:
                - en
                - es
                - zh
                - ja
                - fr
                - de
            - type: 'null'
      additionalProperties: false
    UserPreferencesResponseDto:
      type: object
      properties:
        locale:
          nullable: true
          enum:
            - en
            - es
            - zh
            - ja
            - fr
            - de
          type: string
        projectList:
          $ref: '#/components/schemas/ProjectListPreferencesDto'
      required:
        - locale
        - projectList
    ProjectListPreferencesDto:
      type: object
      properties:
        view:
          type: string
          enum:
            - list
            - grid
        columns:
          type: array
          items:
            type: string
            enum:
              - createdAt
              - name
              - code
              - status
              - lifecycleStatus
              - sector
              - workType
              - region
              - projectLead
              - plannedStartDate
              - targetEndDate
              - specDisciplines
              - tags
              - members
              - lastOpened
        cardFields:
          type: array
          items:
            type: string
            enum:
              - createdAt
              - name
              - code
              - status
              - lifecycleStatus
              - sector
              - workType
              - region
              - projectLead
              - plannedStartDate
              - targetEndDate
              - specDisciplines
              - tags
              - members
              - lastOpened
      required:
        - view
        - columns
        - cardFields

````